Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ide
Class WorkflowUIExceptionHandler

    java.lang.Object
      org.eclipse.amp.amf.gen.ide.WorkflowUIExceptionHandler

All Implemented Interfaces:
  org.eclipse.xtend.expression.ExceptionHandler

    public class WorkflowUIExceptionHandler

extends java.lang.Object
implements org.eclipse.xtend.expression.ExceptionHandler

On RuntimeException creates a workflow issue. Intended for workflow exceptionHandler slot.

Author:
  milesparker

Constructor Summary
`WorkflowUIExceptionHandler()`

Method Summary
`org.eclipse.emf.mwe.core.issues.MWEDiagnostic[]` | `getExceptions()`
`void` | `handleRuntimeException(java.lang.RuntimeException ex, org.eclipse.internal.xtend.expression.ast.SyntaxElement element, org.eclipse.xtend.expression.ExecutionContext ctx, java.util.Map<java.lang.String,java.lang.Object> additionalContextInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkflowUIExceptionHandler

    public WorkflowUIExceptionHandler()

Method Detail

### handleRuntimeException

    public void handleRuntimeException(java.lang.RuntimeException ex,
                                       org.eclipse.internal.xtend.expression.ast.SyntaxElement element,
                                       org.eclipse.xtend.expression.ExecutionContext ctx,
                                       java.util.Map<java.lang.String,java.lang.Object> additionalContextInfo)

  Specified by:
    `handleRuntimeException` in interface `org.eclipse.xtend.expression.ExceptionHandler`

### getExceptions

    public org.eclipse.emf.mwe.core.issues.MWEDiagnostic[] getExceptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD